
From: Andrew Morton <akpm@osdl.org>

Maybe fix OCFS for Steve Hemminger's TCP rework.  Needs testing.

(Seems wrong that OCFS was poking that far into TCP stuff anyway?)

Cc: Mark Fasheh <mark.fasheh@oracle.com>
Cc: Stephen Hemminger <shemminger@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/ocfs2/cluster/tcp.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/ocfs2/cluster/tcp.c~git-ocfs-fix-for-shemminger-tcp-stuff fs/ocfs2/cluster/tcp.c
--- 25/fs/ocfs2/cluster/tcp.c~git-ocfs-fix-for-shemminger-tcp-stuff	2005-05-31 19:12:25.000000000 -0700
+++ 25-akpm/fs/ocfs2/cluster/tcp.c	2005-05-31 19:14:56.000000000 -0700
@@ -95,11 +95,11 @@
 #include <linux/file.h>
 #include <linux/kthread.h>
 #include <linux/kref.h>
+#include <net/request_sock.h>
 
 #include <asm/uaccess.h>
 
 
-
 #include "heartbeat.h"
 #include "tcp.h"
 #include "nodemanager.h"
@@ -452,7 +452,7 @@ static int net_rx_should_wake(struct soc
 		list_empty(&net_attach_list);
 	spin_unlock_bh(&net_active_lock);
 
-	return !empty || tcp_sk(sock->sk)->accept_queue;
+	return !empty || !reqsk_queue_empty(&tcp_sk(sock->sk)->accept_queue);
 }
 
 static int net_receive_thread(void *data)
_
